Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFVec2f Class Reference
[Field classes]

The SoSFVec2f class is a container for an SbVec2f vector. More...

`#include <Inventor/fields/SoSFVec2f.h>`

Inheritance diagram for SoSFVec2f:

List of all members.

## Public Methods
void | setValue (const float x, const float y)
void | setValue (const float xy[2])
## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFVec2f class is a container for an SbVec2f vector.

This field is used where nodes, engines or other field containers needs to store a single vector with two elements.

See also:
  SoMFVec2f

## Member Function Documentation

void SoSFVec2f::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFVec2f::setValue | ( | const float | x,
|  | const float | y
| ) |

| Set value of vector.

void SoSFVec2f::setValue | ( | const float | xy[2] | ) |

| Set value of vector.

The documentation for this class was generated from the following files:

- SoSFVec2f.h
- SoSFVec2f.cpp